Subject: [pim] Murray Kucherawy's No Objection on draft-ietf-pim-igmp-mld-snooping-yang-16: (with COMMENT)

From: Murray Kucherawy via Datatracker <[email-masked]>
Date: Wed, 08 Jul 2020 01:12:22 -0700

Murray Kucherawy has entered the following ballot position for
draft-ietf-pim-igmp-mld-snooping-yang-16: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-pim-igmp-mld-snooping-yang/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

I'm almost hitting the "DISCUSS" button here over the fact that the shepherd
writeup warned in several places that the YANG in this document had issues. 
Were these resolved?

> There was an early YANG doctor review that found some issues. I believe the
should be resolved. There are some errors compiling the model though.

> Early YANG doctor review was done. It would be good to get another check to
see if everything is fine now.

> There are some minor nits as found by the tool, and YANG validation has a few
issues.

> The early YANG doctor review only found minor issues, which should be
addressed in version 08.  [We're at -16 now; was this never updated?]

Section 3:

* "The YANG data model defined in this document conforms to the Network
Management Datastore Architecture (NMDA) [RFC8342]." -- This text also appears
in Section 2.

Section 5:

* I concur with Roman's suggestion to refer here to RFC 4541.

Section 6:

* I suggest this be split into two subsections, which in my experience is more
conventional (but not required).

Other:

There's a bug in whatever rendering engine was used here.  The footer for page
1 says the document expires January 2021, but all others say 2020.

---

From: Hongji Zhao <[email-masked]>
Date: Wed, 8 Jul 2020 11:57:50 +0000

Hi Murray,

The issues founded in early YANG doctor review have been addressed. YANG doctor also confirmed it in the second round review on version 12 almost a month ago.
Regarding other comments,  we will post a new version ASAP to address them.

Thanks a lot!

BR/Hongji

-----Original Message-----
From: Murray Kucherawy via Datatracker <[email-masked]> 
Sent: Wednesday, July 8, 2020 4:12 PM
To: The IESG <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]; Stig Venaas <[email-masked]>; [email-masked]
Subject: Murray Kucherawy's No Objection on draft-ietf-pim-igmp-mld-snooping-yang-16: (with COMMENT)

When responding, please keep the subject line intact and reply to all email addresses included in the To and CC lines. (Feel free to cut this introductory paragraph, however.)

I'm almost hitting the "DISCUSS" button here over the fact that the shepherd writeup warned in several places that the YANG in this document had issues. 
Were these resolved?

issues.

Section 3:

* "The YANG data model defined in this document conforms to the Network Management Datastore Architecture (NMDA) [RFC8342]." -- This text also appears in Section 2.

Section 5:

Section 6:

* I suggest this be split into two subsections, which in my experience is more conventional (but not required).

Other:

---

From: "Murray S. Kucherawy" <[email-masked]>
Date: Wed, 8 Jul 2020 08:23:33 -0700

On Wed, Jul 8, 2020 at 4:57 AM Hongji Zhao <[email-masked]> wrote:

> The issues founded in early YANG doctor review have been addressed. YANG
> doctor also confirmed it in the second round review on version 12 almost a
> month ago.
Whew!  Thanks for the follow-up. It would be a good idea to update the
Shepherd Writeup in the future, because that's one of our evaluation
resources once it gets to the IESG.

-MSK

---

From: Hongji Zhao <[email-masked]>
Date: Fri, 10 Jul 2020 09:54:53 +0000

Hi Murray,

Please check inline, thanks.

…

Section 6:

* I suggest this be split into two subsections, which in my experience is more conventional (but not required).
[Authors]:  We are trying to follow the convention and template suggested by RFC 8407, Sec 3.8, and Sec 5.  The single section has been used by existing RFCs like RFC 8022. Do you think that we should use a different style?"

BR/Hongji

From: Murray S. Kucherawy <[email-masked]>
Sent: Wednesday, July 8, 2020 11:24 PM
To: Hongji Zhao <[email-masked]>
Cc: The IESG <[email-masked]>; [email-masked]; [email-masked]; [email-masked]; Stig Venaas <[email-masked]>; [email-masked]
Subject: Re: Murray Kucherawy's No Objection on draft-ietf-pim-igmp-mld-snooping-yang-16: (with COMMENT)

On Wed, Jul 8, 2020 at 4:57 AM Hongji Zhao <[email-masked]<mailto:[email-masked]>> wrote:
The issues founded in early YANG doctor review have been addressed. YANG doctor also confirmed it in the second round review on version 12 almost a month ago.
Regarding other comments,  we will post a new version ASAP to address them.

Whew!  Thanks for the follow-up. It would be a good idea to update the Shepherd Writeup in the future, because that's one of our evaluation resources once it gets to the IESG.

-MSK

---

From: "Murray S. Kucherawy" <[email-masked]>
Date: Fri, 10 Jul 2020 14:13:15 -0700

The general model I'm thinking of is one where IANA actions are grouped by
registry, and each registry gets its own section.  See, for example, RFC
6376.

RFC 8407 doesn't require either way as far as I can tell, and Section 10 of
RFC 8022 makes multiple entries in a single registry so it's consistent
with what I'm proposing.

Your document's Section 6 touches two registries, hence my suggestion to
make two subsections.

-MSK

On Fri, Jul 10, 2020 at 2:54 AM Hongji Zhao <[email-masked]>
wrote:

> [Authors]:  We are trying to follow the convention and template suggested
> by RFC 8407, Sec 3.8, and Sec 5.  The single section has been used by
> existing RFCs like RFC 8022. Do you think that we should use a different
> style?"
>
>
>
>
>
> BR/Hongji
>
>
>
> *From:* Murray S. Kucherawy <[email-masked]>
> *Sent:* Wednesday, July 8, 2020 11:24 PM
> *To:* Hongji Zhao <[email-masked]>
> *Cc:* The IESG <[email-masked]>;
> [email-masked]; [email-masked];
> [email-masked]; Stig Venaas <[email-masked]>; [email-masked]
> *Subject:* Re: Murray Kucherawy's No Objection on
> draft-ietf-pim-igmp-mld-snooping-yang-16: (with COMMENT)
>
>
>